0ad (0.28.0-3) unstable; urgency=medium

  * Skip flaky autopkgtest on i386.
  * Drop ppc64 as supported arch; package will FTBFS on all big-endian arches.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 24 Feb 2026 02:37:58 -0800

0ad (0.28.0-2) unstable; urgency=medium

  * Add autopkgtest.
  * Add ppc64 and ppc64el as supported architectures.
  * Update b-d on libboost-dev >= 1.71.0, drop b-d on libboost-filesystem-dev.
  * Drop obsolete override_dh_dwz target in d/rules.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 23 Feb 2026 03:27:40 -0800

0ad (0.28.0-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Fix mozjs FTBFS with python 3.14. (Closes: #1127002, #1128074)
    - Drop obsolete patch applied upstream: d/p/fix-nvtt-i386-ftbfs.patch
    - Add additional patches to disable flaky regression tests, sourced from
      upstream PPA (thanks to Nicolas Auvray).
    - Refresh remaining patches.
  * Add d/p/disable-spidermonkey-debug-build.patch to skip mozjs debug build.
  * Add build-dep on cbindgen and update build-dep versions for cargo/rustc.
  * Drop obsolete kfreebsd-* arches, and drop support for armhf due to mozjs
    FTBFS. (Closes: #1110555)
  * Update Standards version to 4.7.3, no changes needed.

  [ Daniel Richard G. ]
  * d/rules: Improve coverage of "clean" rule, and use the system package
    of cxxtest instead of the bundled one. (Closes: #1043705)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 21 Feb 2026 18:18:00 -0800

0ad (0.27.1-3) unstable; urgency=medium

  * Avoid running flaky testsuite on i386. (Closes: #1116013)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Sep 2025 03:20:30 -0700

0ad (0.27.1-2) unstable; urgency=medium

  * Add d/p/fix-nvtt-i386-ftbfs.patch to fix FTBFS on i386.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 13 Aug 2025 19:02:20 -0700

0ad (0.27.1-1) unstable; urgency=medium

  [ Nicolas Auvray ]
  * New upstream release.
    - Drop obsolete patches:
      - d/p/allow-build-with-root.patch
      - d/p/add-missing-header-in-KeyName.patch
      - d/p/fix-mozjs-i386-ftbfs.patch

  [ Ludovic Rousseau ]
  * d/control: replace libcurl4-dev by libcurl4-openssl-dev
  * d/control: remove versioning of libcurl4-*-dev

  [ Vincent Cheng ]
  * Update Standards version to 4.7.2, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 13 Aug 2025 10:55:52 -0700

0ad (0.27.0-2) unstable; urgency=medium

  * Tighten build-dep on cargo/rustc >= 1.66.0, required for building mozjs.
    Unfortunately this makes it difficult to backport to stable.
  * Add d/p/fix-mozjs-i386-ftbfs.patch to fix mozjs FTBFS on i386.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Feb 2025 15:05:35 -0800

0ad (0.27.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS building embedded mozjs with Python 3.13. (Closes: #1092323)
    - Drop obsolete patches:
      - d/p/0012-Fix-segfault-with-openal-1.24.0.patch
      - d/p/0013-Make-failed-audio-device-query-non-fatal.patch
      - d/p/Fix-build-mozjs-on-armhf.patch
      - d/p/Fix-the-removal-of-implicit-conversions-in-libfmt-10.patch
      - d/p/fix_gcc13_ftbfs.patch
      - d/p/fix_python_3.11_ftbfs.patch
      - d/p/fix_python_3.12_ftbfs.patch
      - d/p/miniupnpc-transition.patch
      - d/p/mozjs_upgrade_vendored_six.patch
      - d/p/mozjs_upstream_96d0575812.patch
      - d/p/mozjs_upstream_db9bdaed1b.patch
      - d/p/mozjs_virtualenv.patch
      - d/p/mozjs_virtualenv_fixes.patch
      - d/p/ziplib-ignore-implicit-function-declaration-error.patch
    - Refresh remaining patches.
    - Add d/p/add-missing-header-in-KeyName.patch to fix build failure.
    - Add additional patches to skip specific failing test suites.
  * Drop obsolete build-deps: git, python3-looseversion, python3-setuptools.
  * Update debian/rules due to changes in upstream build system.
  * Update debian/watch and debian/upstream/metadata.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Feb 2025 02:10:36 -0800

0ad (0.0.26-8) unstable; urgency=medium

  [ Antoine Le Gonidec ]
  * Honour DEB_BUILD_OPTIONS when setting the maximum number of jobs.
    (Closes: #1000235)
  * Avoid a crash on launch with openal 1.24.0 (Closes: #1087990)

  [ Vincent Cheng ]
  * Fix FTBFS when attempting to build twice in a row. (Closes: #1043705)
  * Update Standards version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 28 Nov 2024 14:26:39 -0800

0ad (0.0.26-7) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix build with ftmlib 10.
    Thanks to Uli Schlachter (Closes: #1086563)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Nov 2024 15:54:32 -0500

0ad (0.0.26-6) unstable; urgency=medium

  [ Olivier Tilloy ]
  * Fix FTBFS with Python 3.12. (Closes: #1085385)
    - d/control: remove build dependency python3-distutils,
      add python3-looseversion and python3-setuptools,
      remove build conflict on python3-setuptools. (Closes: #1064726)
    - d/rules: copy all relevant patches to be applied to the vendored
      copy of spidermonkey at build time.
    - d/p/fix_python_3.12_ftbfs.patch: apply additional patches to fix
      the build of the vendored copy of spidermonkey.
    - d/p/mozjs_upgrade_vendored_six.patch: upgrade vendored version of six.
    - d/p/mozjs_upstream_96d0575812.patch: cherry-pick upstream changeset
      for clang's new pass manager.
    - d/p/mozjs_upstream_db9bdaed1b.patch: cherry-pick upstream changeset
      to use importlib instead of imp in mozbuild.
    - d/p/mozjs_virtualenv_fixes.patch: minimal least-intrusive build fixes
      for an old virtualenv to work with Python 3.12.
  * Fix FTBFS for vendored zip-lib.
    - d/p/ziplib-ignore-implicit-function-declaration-error.patch

  [ Yangfl ]
  * Fix FTBFS for the transition to miniupnpc 2.2.8. (Closes: #1076685)
    - d/p/miniupnpc-transition.patch

 -- Olivier Tilloy <olivier@tilloy.net>  Thu, 18 Oct 2024 20:30:00 +0200

0ad (0.0.26-5) unstable; urgency=medium

  [ David W. Kennedy ]
  * Non-maintainer upload.
  * Fix FTBFS of mozjs due to missing python3-distutils. (Closes: 1064726)

  [ Ludovic Rousseau ]
  * Build-Depends: pkgconf instead of pkg-config
  * d/copyright: update dates

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Mar 2024 14:33:19 +0100

0ad (0.0.26-4) unstable; urgency=medium

  [ Vincent Cheng ]
  * Fix FTBFS with gcc 13. (Closes: #1037564)

  [ David W. Kennedy ]
  * Add Build-Conflicts: python3-setuptools (>= 58.3.0) to avoid mozjs FTBFS.
    (Closes: #1033365)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 00:13:32 -0700

0ad (0.0.26-3) unstable; urgency=medium

  * Fix FTBFS with Python 3.11. (Closes: #1028179)
    - Add build-dep on git.
  * Update Standards version to 4.6.2, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 08 Jan 2023 00:21:57 -0800

0ad (0.0.26-2) unstable; urgency=medium

  * Team upload.
  * Transition to wxWidgets 3.2 (Closes: #1019839)

 -- Scott Talbert <swt@techie.net>  Wed, 26 Oct 2022 16:13:38 -0400

0ad (0.0.26-1) unstable; urgency=medium

  * New upstream release.
  * Fix "New upstream release - version 0.0.26" (Closes: #1020649)
  * d/p/fix-build-mozjs-with-python-3.10.patch: removed because added upstream
  * d/p/fix-build-atlas-gcc11-glibc-2.35.patch: removed because added upstream
  * d/control: add libfreetype-dev in Build-Depends: to fix build error
  * d/p/Disable-test_regression_rP26522.patch: remove test
  * d/copyright: update file list and fix lintian warnings
  * d/watch: upgrade version and fix lintian warning
  * d/control: update Standards-Version: 4.6.1. No change needed
  * d/rules: remove use of --dbgsym-migration=
  * d/contol: upgrade debhelper-compat from 12 to 13
  * d/s/lintian-overrides: rename tag insane-line-length-in-source-file

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 02 Oct 2022 18:14:33 +0200

0ad (0.0.25b-2) unstable; urgency=medium

  * Team upload
  * Add patches from Ubuntu (Closes: #1008075)
    - d/p/fix-build-mozjs-with-python-3.10.patch:
      Add patch from upstream via Ubuntu to fix FTBFS with Python 3.10
    - d/p/fix-build-atlas-gcc11-glibc-2.35.patch:
      Add patch from upstream via Ubuntu to fix future FTBFS with glibc 2.35

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Mar 2022 12:29:22 +0100

0ad (0.0.25b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building mozjs on armhf (Closes: #1001882)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Dec 2021 01:34:12 +0800

0ad (0.0.25b-1) unstable; urgency=medium

  [David W. Kennedy <dave_k@reasoned.us>]
  * Package new upstream release.
  * d/control: Update required versions of dependencies.
  * d/copyright: Update and correct copyright information of debian package
    and embedded libraries
  * d/install: Install binaries/system/readme.txt as README.command-line.txt,
    also mark install executable to support renaming README.txt with dh-exec.
  * d/rules: Clean up build files for libnvtt and spidermonkey in
    dh_auto_clean.
  * d/rules: Exclude libmozjs78-ps-release.so from dh_dwz in order to work
    around a crash in dwz.
  * d/source/local-options: Abort on changes to the upstream source code
    before committing to the upstream branch of Debian Salsa VCS
  * d/watch: Update URL for releases.

  [ Ludovic Rousseau ]
  * Fix "New upstream release of 0ad - version 0.0.25" (Closes: #992017)
  * d/control: use https:// for Homepage: URL
  * d/install: make the script executable
  * New upstream release 0.0.25b
  * d/patches/TestStunClient: remove failing test

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Aug 2021 15:28:30 +0200

0ad (0.0.24b-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Install the AppStream file to /usr/share/metainfo, as /usr/share/appdata
    is a long time deprecated location.
  * Install the application icon in the XDG hicolor icon theme, rather than
    the legacy pixmaps location.

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Tue, 11 May 2021 08:48:59 +0200

0ad (0.0.24b-1) experimental; urgency=medium

  [ Phil Morrell ]
  * New upstream release.
  * Drop upstreamed patches.
  * Update build-deps. (Closes: #936101, #975379)

  [ Ludovic Rousseau ]
  * version 0.0.24b
  * d/copyright: remove unused entry
    lintian: unused-file-paragraph-in-dep5-copyright paragraph at line 72
  * d/copyright: remove unused entry
    lintian: unused-file-paragraph-in-dep5-copyright paragraph at line 22
  * use embedded nvtt since version 2.1.0 is not yet in unstable
  * Fix "New upstream release 0.0.24" (Closes: #983408)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 07 Mar 2021 10:53:17 +0100

0ad (0.0.23.1-5) unstable; urgency=medium

  * Fix FTBFS with gcc-10. (Closes: #956967)
  * Avoid build-dep on unversioned python2. (Closes: #967118)
  * Cherrypick patch from upstream to add workaround for L3 cache detection on
    Ryzen 3000 series CPUs. (Closes: #949699)
  * Update to dh compat level 12.
  * Update Standards version to 4.5.0.
  * Add upstream metadata file.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 18 Aug 2020 02:48:00 -0700

0ad (0.0.23.1-4) unstable; urgency=medium

  * Team upload.
  * Re-upload source-only to enable migration to testing.

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 05 Aug 2019 18:56:58 +0200

0ad (0.0.23.1-3) unstable; urgency=medium

  * Team upload.
  * Build against GTK 3 version of wxWidget. Replaced build dependency
    libwxgtk3.0-dev by libwxgtk3.0-gtk3-dev. (Closes: #933456)
  * Added NEWS.Debian to document a workaround for a known issue caused by the
    GTK 3 variant of wxWidget.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 03 Aug 2019 05:18:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog 0ad`.
